Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.demo
Class GUIDemo.PluginListMouseListener

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.demo.GUIDemo.PluginListMouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.util.EventListener

Enclosing class:
  GUIDemo

    private class GUIDemo.PluginListMouseListener

extends java.lang.Object
implements java.awt.event.MouseListener

Event listener for the plug-in selection on the list for the work flow.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private javax.swing.JList` | `list` The plug-in list where this listener is going to work.
`private javax.swing.DefaultListModel` | `listModel` The model of plug-in list where this listener is going to work.

Constructor Summary
`GUIDemo.PluginListMouseListener(javax.swing.JList list, javax.swing.DefaultListModel listModel)` Constructor.

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)` It is called when an mouse click event occur on the list.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` It is called when an mouse enter event occur on the list.
`void` | `mouseExited(java.awt.event.MouseEvent e)` It is called when an mouse exited event occur on the list.
`void` | `mousePressed(java.awt.event.MouseEvent e)` It is called when an mouse pressed event occur on the list.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` It is called when an mouse released event occur on the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    private javax.swing.JList list

  The plug-in list where this listener is going to work.

### listModel

    private javax.swing.DefaultListModel listModel

  The model of plug-in list where this listener is going to work.

Constructor Detail

### GUIDemo.PluginListMouseListener

    public GUIDemo.PluginListMouseListener(javax.swing.JList list,
                                           javax.swing.DefaultListModel listModel)

  Constructor.

  Parameters:
    `list` - - the plug-in list for the work flow
    `listModel` - - the model for the plug-in list

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  It is called when an mouse click event occur on the list.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  It is called when an mouse enter event occur on the list.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  It is called when an mouse exited event occur on the list.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  It is called when an mouse pressed event occur on the list.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  It is called when an mouse released event occur on the list.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD